atnetwork(3)

NAME
atNetworkPath, atLocalPath - network path handling

SYNOPSIS
#include <atfs.h>
#include <atfstk.h>

char* atNetworkPath (Af_key *aso);

char* atLocalPath (char *networkPath);

DESCRIPTION
atNetworkPath returns a network wide unique pathname for aso. The pathname has the following structure
<hostname>:<canonical_pathname>@<version>. Hostname is the name of the host controlling the device, where aso is stored. the canonical pathname is the real pathname (without symbolic links), where the object is located on that host. The version number, including the introducing at-sign (@) is optional. For busy versions, it may be missing or the string busy

atLocalPath maps a network path name to a local path name. When the host information in the network path denotes a remote host, atLocalPath looks up /etc/mtab for a mapping of the network canonical pathname to a local path. The resulting pathname is a local pathname in bound notation
<pathname>[version] with the version number added in brackets. It may be converted into an ASO descriptor by calling atBindVersion (manual page atbind(3)).

RETURN VALUE
Both functions return the resulting string in static memory. The result will be overwritten on a subsequent call. On failure, a null pointer is returned.

SEE ALSO
atbind(3)

FILES
/etc/mtab